%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-RPM-Specfile
Version:        1.17
Release:        0.fdr.1.1
Epoch:          0
Summary:        Perl extension for creating RPM spec files

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/RPM-Specfile/
Source0:        http://www.cpan.org/authors/id/C/CH/CHIPT/RPM-Specfile-1.17.tar.gz
Patch0:         RPM-Specfile-1.17-Makefile.PL.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 0:5.00503
# cpanflute2 runs the command rpmbuild (/usr/bin/rpmbuild)
Requires:       rpm-build
# cpanflute2 needs to process tar.gz files
# Archive::Tar 0.2x recommends Compress::Zlib but doesn't requires it.
Requires:       perl(Compress::Zlib)

%description
Simple module for creation of RPM Spec files. Used by cpanflute2 to
turn CPAN tarballs into RPM modules. See the included script
cpanflute2 for usage.


%prep
%setup -q -n RPM-Specfile-%{version}
%patch0 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/cpanflute2
%{perl_vendorlib}/RPM
%{_mandir}/man3/*.3*


%changelog
* Sat Apr 17 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.17-0.fdr.1
- Update to 1.17.
- Patch to Makefile.PL (missing requirement).

* Tue Mar 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.16-0.fdr.1
- Update to 1.16.
- Reduce directory ownership bloat.

* Sun Dec  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.13-0.fdr.2
- Install into vendor dirs.

* Thu Jul 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.13-0.fdr.1
- Update to 1.13.

* Tue Jun 17 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.12-0.fdr.5
- Patch to use given Epoch in changelog entry.
- Patch to remove empty *.bs files.
- Patch to chmod u+w for installed files in order to make non-root strip work.
- Bring spec file up to date with Fedora guidelines.

* Wed May 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.12-0.fdr.4
- Better summary and description (#291).

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.12-0.fdr.3
- Drop -rpmvars patch, add one for utime and better dir ownership.

* Sun Apr 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.11-0.fdr.2
- Add -rpmvars patch.
- Save .spec in UTF-8.

* Fri Apr  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.11-0.fdr.1
- Update to current Fedora guidelines.

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.11-1.fedora.1
- First Fedora release.
